Subject: Re: bug#23557: "corrupt input while restoring archive from socket" after interrupted package install

From: Harry Prevor <[email-masked]>
Date: Sat, 21 May 2016 18:06:46 -0400

Thanks Ludo',

On 2016-05-16 17:10, [email-masked] wrote:
>> I tried to install emacs on guix recently, and I actually got a kernel
>> panic in the middle of installing so I had to do a hard reboot.
> 
> Are you installing GuixSD, or are you installing Guix on another 
> distro?

I'm trying to install emacs on GuixSD, which is running on a Thinkpad 
X200.

> What does this command report (run as root):
> 
>   guix substitute --help

This command just displays help text?

> Do you know what substitute server is being used?

I don't know. I tried using guix substitute --substitute but I'm having 
trouble identifying what the other two arguments should be.

> Can you try:
> 
>   guix build emacs --substitute-urls=http://mirror.hydra.gnu.org

It seems to have succeeded:

@ build-succeeded 
/gnu/store/p5bhpqf6zj1kg55p4gyndrppswbskh8k-emacs-24.5.drv -
/gnu/store/35nvlacqcl3wv5al5lj3077h0hx4bn2q-emacs-24.5

After doing this, I tried doing "guix package -i emacs" again, and it 
installed successfully! Thank you for your help; unfortunately I don't 
know exactly what fixed this but I'd be happy to continue debugging if 
it's of use to someone.

> 
> Thanks in advance!
> 
> Ludo’.
> 
> PS: Please keep [email-masked] Cc’d.

Will do!

---
Harry Prevor